#pragma once

#include <math.h>

#include <epoxy/gl.h>
#include <epoxy/glx.h>

#include "game.hpp"

namespace endofthejedi {

    /**
     * Base class for the render.
     *
     * Implementations should render the whole scene (state) on the screen with
     * opengl.
     */
    class Renderer {
        private:
        protected:
        public:
            virtual void setup() { }
            virtual void render(const game::State *state) = 0;
    };

}
